apiVersion: v1
kind: Service
metadata:
  name: almendra
  namespace: almendra
  labels:
    app: almendra
  annotations:
    #service.beta.kubernetes.io/aws-load-balancer-type: nlb-ip
    service.beta.kubernetes.io/aws-load-balancer-backend-protocol: http
    service.beta.kubernetes.io/aws-load-balancer-ssl-cert: arn:aws:acm:us-east-2:286749213524:certificate/70668749-74ae-44e1-a64f-98953b780eb3
    service.beta.kubernetes.io/aws-load-balancer-ssl-ports: "https"
spec:
  type: LoadBalancer
  selector:
    app: almendra
  ports:
    - name: http
      port: 80
      targetPort: 80
    - name: https
      port: 443
      targetPort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: almendra
  namespace: almendra
  labels:
    app: almendra
spec:
  replicas: 1
  selector:
    matchLabels:
      app: almendra
  template:
    metadata:
      labels:
        app: almendra
    spec:
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: beta.kubernetes.io/arch
                operator: In
                values:
                - amd64
                - arm64
      containers:
      - name: www
        image: docker.io/vsis/www-almendra:VERSION
        ports:
        - containerPort: 80
